#!/usr/bin/python
# -*- coding: utf-8 -*-
##      open_with.py
##
##
## Copyright (C) 2008 Max V. Stotsky <ms@pereslavl.ru>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 3 or later.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##

import gettext
import os

_ = gettext.gettext

def open_link(link, use_prog) :
	"""
	This function opens a link (filename, http, mailto etc.) using a program.
	"""
	if use_prog == "" :
		return False

	command = '%s "%s" &' % (use_prog, link)
	try:
		n = 79
		print "exec: %s" % (command[0:n-3]+"...") if len(command) > n else command
		os.system(command)
	except Exception, e:
		print _("Can't execute command '%(command)s': %(reason)s") %\
				{"command" : command, "reason" : str(e)}
		return False

	return True

