#!/usr/bin/python
# -*- coding: utf-8 -*-
##      debug.py
##
##
## Copyright (C) 2008 Max V. Stotsky <ms@pereslavl.ru>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 3 or later.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##

import sys

from pref import preferences

class Debug() :
	def __init__(self):
		""" метод, который занимается лишь тем, что обертывает каждый метод
			класса в функцию с печатью отладочной информации
		"""
		if not preferences.opt["debug"] and\
			not preferences.var["debug"] :
			return
		for f in dir(self) :
			exec("method = isinstance(self.%s, type(self.__init__))" % f)
			if not f.startswith('__') and method :
				exec ("self.%s = __debug_and_call(self.%s)" % (f, f))

def __debug_and_call(func) :
	def func_new(*args) :
		res = apply(func, args)

		sys.stderr.write("Result of function '%s' from '%s' with args '%s' is '%s'\n" % \
			(func.__name__, func.__module__, str(args), str(res)))

		return res

	return func_new

